#!/bin/sh
#

EXT=dhcp
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash squashfs-tools \
		perl5
	do tce-load -i $a
done

make clean
./configure \
	|| exit

make || exit

if [ $(grep -q '^install-strip:' Makefile) ]; then
	make install-strip DESTDIR=$TCZ-dev
else
	make install DESTDIR=$TCZ-dev
	for a in $(find $TCZ-dev -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip $a; done
fi

mkdir -p $TCZ/usr/local

mv $TCZ-dev/usr/local/bin $TCZ/usr/local
mv $TCZ-dev/usr/local/sbin $TCZ/usr/local
mv $TCZ-dev/usr/local/etc $TCZ/usr/local

sudo chown -R root.root $TCZ*

mksquashfs $TCZ/ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend
